Subject: Re: Cleaning the .git directory with gc

From: Haakon Riiser <[email-masked]>
Date: Thu, 24 Apr 2008 23:14:58 +0200

[Shawn O. Pearce]

> [...] 
> If you _really_ need to whack all of that away, make a clone
> and then discard the old one, e.g.:
> 
> 	git clone file://`pwd`/old_proj new_proj
> 
> Note you need to use the file:// URI syntax to prevent Git from
> just hardlinking everything.  It takes a little longer, but the
> resulting new_proj will be cruft free.

Thanks for answering my question so quickly.  I really wasn't that
worried about it, but seemed strange that the --amend option only
seemed to affect the logs.  Anyway, it's nice to know I can start
with a clean slate if I want to by cloning from a file:// path.

-- 
 Haakon